Index: src/examples/runTests.sh
===================================================================
--- src/examples/runTests.sh	(revision 83de11e2c4f6a0d223380e66486b62c64ffebaf9)
+++ src/examples/runTests.sh	(revision 77f347d1c8509dbee8624f8d6d908e6b8338ca40)
@@ -36,4 +36,6 @@
 make clean > /dev/null 2>&1
 
+ret_val=0
+
 for test in $tests; do
 	echo -n "    $test" | tee -a $logfile
@@ -41,4 +43,5 @@
 	# build, skipping to next test on error
 	if ! make -j 8 $test > tests/$test.make.txt 2>&1; then
+		ret_val=1
 		echo -e "\tFAILED with build error:" | tee -a $logfile
 		cat tests/$test.make.txt | tee -a $logfile
@@ -50,4 +53,5 @@
 	./$test < tests/$test.in.txt > tests/$test.run.txt 2>&1
 	if ! diff tests/$test.out.txt tests/$test.run.txt > tests/$test.diff.txt; then
+		ret_val=1
 		echo -e "\tFAILED with output mismatch:" | tee -a $logfile
 		cat tests/$test.diff.txt | tee -a $logfile
@@ -58,2 +62,4 @@
 	echo -e "\tPASSED" | tee -a $logfile
 done
+
+exit $((ret_val))
Index: src/libcfa/Makefile.am
===================================================================
--- src/libcfa/Makefile.am	(revision 83de11e2c4f6a0d223380e66486b62c64ffebaf9)
+++ src/libcfa/Makefile.am	(revision 77f347d1c8509dbee8624f8d6d908e6b8338ca40)
@@ -11,6 +11,6 @@
 ## Created On       : Sun May 31 08:54:01 2015
 ## Last Modified By : Peter A. Buhr
-## Last Modified On : Tue Apr 19 22:30:17 2016
-## Update Count     : 124
+## Last Modified On : Tue May 31 13:24:15 2016
+## Update Count     : 141
 ###############################################################################
 
@@ -53,17 +53,10 @@
 CC = ${abs_top_srcdir}/src/driver/cfa
 
-# extension-less header files are overridden by default make rules => explicitly override rule
-% : %.c
-	true
+headers = limits stdlib math iostream fstream iterator rational
+.SECONDARY : ${headers}					# stop implicit '.o' rules from removing extensionless headers
 
-.c.o : ${abs_top_srcdir}/src/driver/cfa-cpp
-	${CC} ${CFLAGS} -c -o $@ $<
+libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
 
-libs = limits stdlib math iostream fstream iterator rational
-libcfa_a_SOURCES = libcfa-prelude.c ${libs:=.c}
-
-cheaders = # expat
-cfaheaders = # limits
-include_HEADERS = ${cheaders:=.h} ${libs} ${cfaheaders}
+include_HEADERS = ${headers}
 
 CLEANFILES = libcfa-prelude.c
Index: src/libcfa/Makefile.in
===================================================================
--- src/libcfa/Makefile.in	(revision 83de11e2c4f6a0d223380e66486b62c64ffebaf9)
+++ src/libcfa/Makefile.in	(revision 77f347d1c8509dbee8624f8d6d908e6b8338ca40)
@@ -214,9 +214,7 @@
 MAINTAINERCLEANFILES = ${addprefix ${libdir}/,${cfalib_DATA}} \
 	${addprefix ${libdir}/,${lib_LIBRARIES}} ${includedir}/*
-libs = limits stdlib math iostream fstream iterator rational
-libcfa_a_SOURCES = libcfa-prelude.c ${libs:=.c}
-cheaders = # expat
-cfaheaders = # limits
-include_HEADERS = ${cheaders:=.h} ${libs} ${cfaheaders}
+headers = limits stdlib math iostream fstream iterator rational
+libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
+include_HEADERS = ${headers}
 CLEANFILES = libcfa-prelude.c
 all: all-am
@@ -303,4 +301,11 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
+
+.c.o:
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
+@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(COMPILE) -c $<
 
 .c.obj:
@@ -582,11 +587,5 @@
 libcfa-prelude.o : libcfa-prelude.c
 	@BACKEND_CC@ -c -o $@ $<
-
-# extension-less header files are overridden by default make rules => explicitly override rule
-% : %.c
-	true
-
-.c.o : ${abs_top_srcdir}/src/driver/cfa-cpp
-	${CC} ${CFLAGS} -c -o $@ $<
+.SECONDARY : ${headers}					# stop implicit '.o' rules from removing extensionless headers
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
